
package exo1_static_methods;


/**
 * Exercices avec méthodes statiques simples et de la bibliotheque standard.
 * Question 1: expliquez le comportement des méthodes estMajuscule, estMinuscule et estLettre.
 * Question 2: le morceau de code ('A' <= c && c <= 'Z') est une instruction ou une expression?
 * Quelle différence?
 * Question 3 : la variable c est de type char mais initialisée à 0, expliquez cette 'particularité'
 * Question 4: expliquez le comportement du bout de code ligne 36 (cast)
 * Question 5: expliquez le comportement du main et exécutez le pour tester votre réponse
 * Question 6: remplacez les appels aux méthodes statiques estMajuscule, estMinuscule et estLettre
 * par des appels edéquants aux méthodes statiques de la classe Character 
 * (allez voir sa documentation en ligne)
 * Question 7: completez le main de manière à afficher si le caractère est ou non un chiffre
 * @author aponte
 */
public class TesterChar {

    static boolean estMajuscule(char c) {
        return ('A' <= c && c <= 'Z');
    }

    static boolean estMinuscule(char c) {
        return ('a' <= c && c <= 'z');
    }

    static boolean estLettre(char c) {
        return (estMajuscule(c) || estMinuscule(c));
    }

    public static void main(String[] args) {
        for (char c = 33; c < 128; c++) {     
                System.out.print(
                        "code: " + (int) c
                        + " character: " + c);    
            if (estLettre(c)) {
                if (estMajuscule(c)) {
                    System.out.println("  et c'est une lettre majuscule");
                } else {
                    System.out.println(" et c'est une lettre minuscule");
                }
            } else {
                System.out.println(" ce n'est est pas une lettre");
            }
        }
    }
}
